У меня есть путешествие с использованием APIEvent в качестве источника входа. Я создал новую версию в том же путешествии, но с новым APIEvent. Могут ли обе версии работать одновременно с разными источниками входа?....
Вопрос относится к некоторым новым объектам API 51, которые позволяют планировать принудительные обновления пакетов второго поколения. Запуск этого скрипта в нашей партнерской бизнес-организации (PBO): List<String> names = new List<String>(Schema.getGlobalDescribe().keySet()); names.sort(); List<Str....
Можно ли получить версию Journey Builder (внутри пользовательской активности), из которой был запущен метод выполнения ?? или любой другой идентификатор, чтобы решить, является ли это новым путешествием/версией того же путешествия ?? Моя полезная нагрузка была примерно такой, { "name": "p_templat....
Я пытаюсь обновить версию API класса в управляемом пакете. Функция следующая: @HttpPut global static String uploadNewAttachment(RestRequest req) { Когда я пытаюсь повысить версию класса с 23.0 (старая, насколько я знаю) до версии выше 30, я получаю сообщение об ошибке: HttpPut methods do not suppor....
Как независимый поставщик программного обеспечения, мы планируем обновить версию API компонентов метаданных нашего пакета до версии 50, чтобы все они были одинаковыми. Мой вопрос: Можем ли мы (и хотели бы) обновить версии API не обновляемых компонентов, таких как шаблоны электронной почты?....
salesforce 15 Янв 2021 в 14:04
Любые ресурсы о том, что могло измениться в API 37, чего не было в 36, что могло вызвать проблему, которую я вижу? Если я обновлю все остальные вершинные классы в своей организации до 46 и оставлю тестовый класс равным 36, тест будет пройден. Если я подниму тестовый класс до 37, тестовый класс не п....
У меня есть огромное управляемое пакетное приложение, которое я создал много лет назад (у 40% всех классов есть версия v29), и я подумываю поднять их все до последней версии v50. Это безопасно или что может пойти не так? Могу ли я с уверенностью предположить, что все правильно, когда он компилируетс....
salesforce 12 Ноя 2020 в 13:56
При попытке развернуть преобразованные метаданные с помощью кода VS sfdx force:mdapi:deploy выполнить развертывание в моей производственной организации, и я получаю сообщение об ошибке Property 'itemInstances' not valid in version 48.0 и Property 'processOrder' not valid in version 48.0. Но когда я....
Я пытаюсь развернуть поток в песочнице и получаю сообщение об ошибке Свойство storeOutputAutomatically недопустимо в версии 48.0. sourceApiVersion, указанный в моем файле sfdx-project.json, равен 48.0.0. <apiVersion> в нашем package.xml равно 47.0. Однако этот поток содержал тег <storeOutputAutoma....
Я пытаюсь понизить версию API компонента ауры до 39.0 из кода визуальной студии и вернуть ее в песочницу. Я вижу, что он был изменен в Visual Studio, но не изменился в среде Salesforce, когда я проверяю его из пользовательского интерфейса. Я также пытаюсь удалить некоторые строки кода из контролл....
Я пытаюсь развернуть настраиваемые объекты, настраиваемые поля, макеты страниц, компактные макеты, страницы Lightning и глобальный набор значений (глобальный список выбора), при загрузке набора изменений он дает мне ошибку версии API, поскольку версия производственной платформы 46.0, а версия SB — 4....
Предположим, у нас есть класс Apex myClass.cls, и мы используем его в нескольких разных организациях. Хотя исходный код тот же, в некоторых организациях мы используем разные ApiVersion, например. некоторые организации используют версию 45.0, другие используют версию 42.0, а третьи используют верси....
salesforce 17 Июн 2019 в 12:57
Я администратор и просматриваю некоторые из старых триггеров, которые в настоящее время находятся в нашей организации. Есть несколько из них, которые все еще активны и выполняют какую-то важную работу, но для них установлена ​​версия API 20. Должен ли я обновить их до более новой версии (44 или 45)....
salesforce 18 Фев 2019 в 18:00
Нам нужно использовать классы Schema и DescribeSObjectResult, чтобы получить все SObject в организации пользователя. Но мы заметили проблему с производительностью после обновления API до версии 44. Следующий код может воспроизвести проблему: Код страницы Visualforce: <apex:page controller="TestSch....
У меня есть построитель процессов, который я хочу создать для производства, когда я создаю набор изменений, он говорит, что для этого набора изменений требуется версия платформы «45.0» или более поздняя, ​​если бы это была страница Visualforce, я мог бы изменить версию API, но я не мог сделать это ....
Я создал новую версию своего разблокированного пакета и попытался установить ее в чистую организацию. К сожалению, я получаю сообщение об ошибке Mismatching versions.. Насколько я знаю, эта ошибка возникает, когда кто-то пытается установить источники с более высокой версией API в организацию с боле....
salesforce 17 Янв 2019 в 19:33
Я не уверен, почему у каждого класса есть версия API. Я знаю, что в каждом выпуске они добавляли функциональность, поэтому предыдущие версии не поддерживали это, но я чувствую, что должна быть другая причина. Я также предполагаю, что версии API — это то, как они устаревают и добавляют новые функции....
salesforce 11 Сен 2018 в 19:33
Может ли кто-нибудь предложить, можем ли мы обновить версию API класса вершины через Apex/trigger. Если я попытаюсь обновить, я получаю операцию DML, не разрешенную для классов aepx.....
salesforce 27 Авг 2018 в 11:25
У меня есть организация с сотнями классов вершин, все из которых имеют версии API в диапазоне от 30 до 37. Есть ли простой способ привести их всех к последней версии API сразу, не прибегая к ручным обновлениям?....
salesforce 22 Авг 2018 в 21:17
Как вы, наверное, знаете, switch был представлен в выпуске Summer'18 (API v43,0). Я начал использовать его в своем классе вершин, который имеет версию API 36,0, и каким-то образом он работает в моей песочнице. Я предполагал, что он будет недоступен, поэтому выдайте ошибку или что-то в этом роде. Мо....
salesforce 18 Июл 2018 в 19:34
Я хочу обновить версию API одного класса, чтобы использовать новую функцию, представленную в новой версии API. Но я хочу знать, что произойдет, когда существующий клиент обновит свой управляемый пакет новым пакетом (который имеет обновленный класс с более высокой версией API). Будет ли этот класс ....
salesforce 8 Июн 2018 в 09:11
К сожалению, начиная с API версии 26, SFDC удалил параметризованные интерфейсы. Однако относительно легко создать новые интерфейсы и установить версию 25. Итак, если взять пример из параметризованных интерфейсов — что это такое?, я можно сделать интерфейсы Pair и DoubleUp как «версию 25», но тогда ....
Я написал SOQL-инструмент, который позволяет мне делать такие вещи, как SELECT * FROM... Он основан на функциях схемы APEX и работает очень хорошо. Он расширяет и компилирует полный список полей в строку, которую я передаю в Database.query() следующим образом: Database.query( xs.soql('SELECT * FRO....
У меня есть класс APEX, который нуждается в некоторых обновлениях, то есть в версии 18. Когда я делаю обновления, версия также обновляется до самой последней (v41). Когда я пытаюсь перейти к производству, я получаю сообщения об ошибках, говорящих о том, что существует 300 зависимых классов, которые....
Я пытаюсь обновить IDE eclipse force.com, чтобы создавать компоненты молнии с v41.0 (с функцией выпуска Winter 18). Я не вижу доступного обновления, и при создании класса компонента/вершины и т. д. я получаю вариант для версии 38.0. Я делаю обходной путь, чтобы изменить файл xml вручную, но было б....